Summary: Rsync backup for SME Server
%define name smeserver-rsync-backup2disk
Name: %{name}
%define version 0.0.2
%define release 5
Version: %{version}
Release: %{release}
License: GPL
Group: SME/addon
Source: %{name}-%{version}.tar.xz
Packager: Darrell May
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release => 10.0
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
SME Server implementation of rsync to perform nightly backup to a mounted drive.

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.2-5.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Sep 06 2024 Terry Fage <terry@fage.id.au> 0.0.2-4.sme
- apply locale smeserver-rsync-backup2disk-0.0.2-locale-2024-09-06.patch

* Wed Sep 08 2021 Terry Fage <terry.fage@gmail.com> 0.0.2-3.sme
- apply locale 2021-09-08 patch

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 0.0.2-2.sme
- apply locale 2021-08-23 patch

* Sat Apr 03 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.2-1.sme
- import to SME10
- change name from smeserver-rsync to smeserver-rsync-backup2disk
- create update event
- move perl module to new path
- cleanup spec

* Fri Nov 03 2006 Darrell May <dmay@myezserver.com>
- added support for no reminder e-mail
- [0.0.1-a6dmay]

* Thu Nov 02 2006 Darrell May <dmay@myezserver.com>
- numerous updates
- [0.0.1-a5dmay]

* Tue Oct 17 2006 Darrell May <dmay@myezserver.com>
- remove exit from restore-tape line in rsync-restore
- [0.0.1-a4dmay]

* Tue Oct 17 2006 Darrell May <dmay@myezserver.com>
- updated FM panel code
- db changes backupTime reminderTime
- added checks for ext3 format
- [0.0.1-a3dmay]

* Tue Oct 17 2006 Darrell May <dmay@myezserver.com>
- added rsync-restore action
- [0.0.1-a2dmay]

* Mon Oct 16 2006 Darrell May <dmay@myezserver.com>
- added basic server-manager panel
- [0.0.1-a1dmay]

* Mon Oct 16 2006 Darrell May <dmay@myezserver.com>
- initial internal alpha release
- [0.0.1-a0dmay]

%prep
%setup

rm root/rsync

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT

(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%postun
